--[[
	MetaGuildDebug.lua
		All Functions for displaying and updating the Debug Tab
--]]
local MG = LibStub('AceAddon-3.0'):GetAddon('MetaGuild')
local L = LibStub("AceLocale-3.0"):GetLocale("MetaGuild");
local self = MG
local initTimeCode = self:GetCurrentTimeCode()

function MetaGuildDebugFrame_OnLoad(self)
	return
end

function MetaGuildDebugFrame_OnEvent(self, event, ...)
--	if ( not self:IsShown() ) then
--		return;
--	end
end

function MetaGuildDebugFrame_OnShow(self)
	return
end


function MetaGuildTestUpdate()
	--self:Print("Updating")
	self:SendUpdate()
end

function MetaGuildTestJoin()
	--self:Print("Joining")
	self:SendJoin()
end

function MetaGuildTestTime()
	local diffDate = self:TimeSinceTimeCode(initTimeCode)
	self:Print("Time: "..self:Date2String(diffDate))
end
